## Debuggie

**Debuggie**, это набор инструментов для сбора и анализа отладочной информации об функционировании удалённой системы.

Набор включает в себя:

- Middleware, собирающую отладочную информацию
- Viewie - CLI-утилиту, предназначенную для просмотра дампов отладочной информации
- API для отладочного вывода информации из кода отлаживаемых приложений

### Установка

Пакет устанавливается стандартным способом:

    pip install debuggie

Для работы пакета требуется ```m3.core.json.M3JSONEncoder```

### Подключение

1. В ```settings.INSTALLED_APPS``` добавляется приложение ```"debuggie"```.
2. В ```settings.MIDDLEWARE_CLASSES``` добавляется middleware ```"debuggie.Debuggie"```.
3. B "корневом"" ```urls.py``` добавляется ```(r'^debug/', include('debuggie.urls')),```.
4. Опционально в ```settings.DEBUGGIE_SYSTEM_INFO_CALLBACK``` указывается (строкой вида ```"package.module.function"```) функция, предоставляющая информацию о системе.

**Важно:** Debuggie middleware должна добавляться после ```SessionMiddleware``` и ```AuthenticationMiddleware```, т.к. зависит от них!

### Запись отладочной информации

- Пользователь аутентифицируется в системе,
- Указанием в адресной строке переходит на url ```<some_host>/debug```
- На открытой странице можно включать/выключать режим отладки, очистить дамп отладочной информации или загрузить его в виде ```.txt```-файла.

При этом ссылки на загрузку и очистку дампа появятся после того, как пользователь:

1. Включит отладочный режим
2. Совершит в системе какие либо действия
3. Обновит страницу отладочного режима.

### Просмотр файла дампа отладочной информации

Информация просматривается в терминале командой

    viewie <dump_file.txt>

Программа просмотра работает в интерактивном режиме и содержит встроенную справку
